import request from '@/utils/request'


// 档案列表
export function list(query) {
  return request({
    url: '/system/business/sjArchive/list',
    method: 'get',
    params: query
  })
}

// 同意归档
export function tygd(data) {
  return request({
    url: '/system/business/sjArchive/gd/agree',
    method: 'post',
    data: data
  })
}

// 拒绝归档
export function jjgd(data) {
  return request({
    url: '/system/business/sjArchive/gd/refuse',
    method: 'post',
    data: data
  })
}

// 同意解档
export function tyjd(data) {
  return request({
    url: '/system/business/sjArchive/jd/agree',
    method: 'post',
    data: data
  })
}

// 拒绝解档
export function jjjd(data) {
  return request({
    url: '/system/business/sjArchive/jd/agree',
    method: 'post',
    data: data
  })
}

// 同意借阅
export function tyjy(data) {
  return request({
    url: '/system/business/sjArchive/jy/agree',
    method: 'post',
    data: data
  })
}

// 拒绝借阅
export function jjjy(data) {
  return request({
    url: '/system/business/sjArchive/jy/refuse',
    method: 'post',
    data: data
  })
}

// 确认归还
export function qrgh(data) {
  return request({
    url: '/system/business/sjArchive/gh',
    method: 'post',
    data: data
  })
}